Download it now!
Bug 121441 - FILEOPEN DOCX, Footnote symbol created with Word gets another symbol before it in Writer
Summary: FILEOPEN DOCX, Footnote symbol created with Word gets another symbol before i...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:7.0.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2018-11-15 10:19 UTC by NISZ LibreOffice Team
Modified: 2020-04-14 10:08 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
An example file created in Word (22.80 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-15 10:20 UTC, NISZ LibreOffice Team
Details
The example file after saved in Writer (16.41 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-15 10:21 UTC, NISZ LibreOffice Team
Details
A screenshot showing the file created in Word and opened in Writer. (157.62 KB, image/png)
2018-11-15 10:22 UTC, NISZ LibreOffice Team
Details
A screenshot showing the files after saved in Writer (165.33 KB, image/png)
2018-11-15 10:23 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-15 10:19:23 UTC
Description:
Footnote symbol in DOCX documents created with Microsoft Word 2010 gets another symbol before it when the document is opened in LibreOffice Writer.

Steps to Reproduce:
1. Create a new document in Microsoft Word.
2. On the Preferences tab click Footnotes.
3. Choose Symbol on pup-up window.
4. Choose a character and click OK.
5. Save the file as DOCX.
6. Open the same file in LibreOffice Writer and compare the two versions.
7. Save it with another name.
8. Open the same file with Microsoft Word and compare it with the original Microsoft Word version.

Actual Results:
The symbol is duplicated opened in LibreOffice Writer or gets another symbol before it. 
The export file gets a number before the symbol opened in Microsoft Word 2010.

Expected Results:
The symbol should remain the same (single symbol).


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-15 10:20:22 UTC
Created attachment 146659 [details]
An example file created in Word
Comment 2 NISZ LibreOffice Team 2018-11-15 10:21:05 UTC
Created attachment 146660 [details]
The example file after saved in Writer
Comment 3 NISZ LibreOffice Team 2018-11-15 10:22:35 UTC
Created attachment 146661 [details]
A screenshot showing the file created in Word and opened in Writer.
Comment 4 NISZ LibreOffice Team 2018-11-15 10:23:13 UTC
Created attachment 146662 [details]
A screenshot showing the files after saved in Writer
Comment 5 Durgapriyanka 2018-11-15 22:59:22 UTC
Version: 6.0.6.2
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group

Microsoft Word 2007

Thank you for reporting the bug. I can confirm that the bug is present as mentioned.
Comment 6 Xisco Faulí 2018-11-16 11:31:05 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 7 Buovjaga 2019-01-25 15:07:25 UTC
Confirmed in 3.3.0 on Win 10
Comment 8 Commit Notification 2019-10-28 13:49:33 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a991ad93dcd6807d0eacd11a50c2ae43a2cfb882

tdf#121441 improve DOCX footnote import

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Jan-Marek Glogowski 2019-10-28 14:00:07 UTC
Please read the full comment of the patch. There are a lot of problems with the current solution, which mostly stem from limitation in the representation of footnotes in ODF in comparison to DOCX. Fixing all the problems for good would start with an ODF extension to make the footnote label a flexible text run and not just a text string, allow a different string for the reference and the footnote area label and change the whole footnote editing, which is currently represented by a edit field in an dialog.

All of this can be handled in additional bugs.
Comment 10 Commit Notification 2020-04-14 10:08:10 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/600b35480da436b2683b720149b576e85c16aa84

tdf#121441: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.